Bug 245984 - irqbalance getting lots of selinux denials
irqbalance getting lots of selinux denials
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 15:28 EDT by Chris Brand
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 06:55:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Brand 2007-06-27 15:28:45 EDT
Description of problem:
irqbalance causes lots of selinux denials.

Version-Release number of selected component (if applicable):
selinux-policy-targeted 2.3.7-2.fc5
irqbalance 2:0.55-4.fc5

How reproducible:
Always

Steps to Reproduce:
1. Install the components listed above
2. Monitor /var/log/messages
3.
  
Actual results:
Every 10 seconds, another of these is added to /var/log/messages :
Jun 27 12:29:10 dredd kernel: audit(1182972550.001:21118): avc:  denied  {
search } for  pid=1905 comm="irqbalance" name="net" dev=proc ino=4026531864
scontext=system_u:system_r:irqbalance_t:s0
tcontext=system_u:object_r:proc_net_t:s0 tclass=dir



Expected results:
No selinux messages shoudl be appearing in /var/log/messages.

Additional info:
Looks very similar to bugs 219739 and 219606, but those are fc6 and this is fc5.
Comment 1 Daniel Walsh 2007-06-28 06:55:48 EDT
We are no longer shipping updates for fc5 you should be able to execute

grep proc_net_t /var/log/messages | audit2allow -M myirqbalance
semodule -i myirqbalance.pp 

Which will customize your policy to add this rule, or upgrade to fc6/fc7

Note You need to log in before you can comment on or make changes to this bug.